# Loki::FollowIntoDeath::FollowIntoDeath::With< Lifetime > Struct Template Reference

`#include <Singleton.h>`

## Classes

struct | AsMasterLifetime

## Detailed Description

### template<template< class > class Lifetime>
struct Loki::FollowIntoDeath::With< Lifetime >

Template for the master

Parameters:

  | Lifetime | Lifetime policy for the master

The documentation for this struct was generated from the following file:

- Singleton.h